build: false  # Not a C# project, build stuff at the test step instead.
environment:
  matrix:
    - PYTHON: "C:/Python27"
    - PYTHON: "C:/Python33"
    - PYTHON: "C:/Python34"

init:
  - "ECHO %PYTHON%"
  - ps: "ls C:/Python*"

install:
  - ps: (new-object net.webclient).DownloadFile('https://bootstrap.pypa.io/get-pip.py', 'C:/get-pip.py')
  - "%PYTHON%/python.exe C:/get-pip.py"
  - "%PYTHON%/Scripts/pip.exe install tox"

test_script:
  - "%PYTHON%/Scripts/tox.exe -e py-test"
